Package org.eclipse.microprofile.metrics.tck.metrics

## Class MultipleMetricsMethodBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.MultipleMetricsMethodBean

    @ApplicationScoped
    public class MultipleMetricsMethodBean
    extends Object

### Constructor Summary

Constructors
`MultipleMetricsMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `metricsMethod()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MultipleMetricsMethodBean

    public MultipleMetricsMethodBean()

### Method Detail

#### metricsMethod

    @Counted(name="counter")
    @Timed(name="timer")
    public Long metricsMethod()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`